local function Create_Tankadin_ADModTab()
	mainFrame = CreateFrame("Frame", "TankadinADModOptionsFrame");
	mainFrame:SetPoint("TOPLEFT", TankadinMainOptionsFrame, "TOPLEFT", 196, -80);
	mainFrame:SetWidth(389);
	mainFrame:SetHeight(400);
	local fontString = mainFrame:CreateFontString(nil, "OVERLAY", "GameFontNormal");
	fontString:SetText(TANKADIN_OPTIONS.." - "..TANKADIN_AD_OPTIONSLABEL);
	fontString:SetPoint("CENTER", mainFrame, "TOP", 0, -10);
	
	local button = CreateFrame("CheckButton", "TankadinAD_Show", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -20);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_AD_OPT_SHOW);
	button:SetScript("OnClick", function() Tankadin2_AD_Options.show = not Tankadin2_AD_Options.show; if Tankadin2_AD_Options.show then Tankadin_ADMod_Frame:Show() else Tankadin_ADMod_Frame:Hide() end end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_AD_Options.show) end);
	
	local button = CreateFrame("CheckButton", "TankadinAD_Tooltip", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -40);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_AD_OPT_TOOLTIP);
	button:SetScript("OnClick", function() Tankadin2_AD_Options.tooltip = not Tankadin2_AD_Options.tooltip; end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_AD_Options.tooltip) end);
	
	local button = CreateFrame("CheckButton", "TankadinAD_AnnounceStats", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -60);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_AD_OPT_ANNSTATS);
	button:SetScript("OnClick", function() Tankadin2_AD_Options.annLocal = not Tankadin2_AD_Options.annLocal; end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_AD_Options.annLocal) end);
	
	local button = CreateFrame("CheckButton", "TankadinAD_DBMIntigration", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -80);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_AD_DBMINTLABEL);
	button:SetScript("OnClick", function() Tankadin2_AD_Options.DBMBar = not Tankadin2_AD_Options.DBMBar; end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_AD_Options.DBMBar) end);
	
	local button = CreateFrame("CheckButton", "TankadinAD_ShowADCDBar", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -100);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_AD_ADBARENABLE);
	button:SetScript("OnClick", function() Tankadin2_AD_Options.ShowADBar = not Tankadin2_AD_Options.ShowADBar; end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_AD_Options.ShowADBar) end);
	
	local button = CreateFrame("CheckButton", "TankadinAD_AnnounceADSave", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -120);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_AD_ADSAVEANNLABEL);
	button:SetScript("OnClick", function() Tankadin2_AD_Options.ADSaveAnnounce = not Tankadin2_AD_Options.ADSaveAnnounce; if Tankadin2_AD_Options.ADSaveAnnounce then TankadinAD_ADSave:Show(); TankadinAD_TestADSave:Show(); else TankadinAD_ADSave:Hide(); TankadinAD_TestADSave:Hide(); end end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_AD_Options.announce) end);
	
	local editBox = CreateFrame("EditBox", "TankadinAD_ADSave", mainFrame, "InputBoxTemplate");
	editBox:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -140);
	editBox:SetWidth(300);
	editBox:SetHeight(20);
	editBox:SetAutoFocus(false);
	editBox:SetMaxLetters(130);
	editBox:SetScript("OnShow", function() TankadinAD_ADSave:SetText(Tankadin2_AD_Options.ADCDMessage); if Tankadin2_AD_Options.ADSaveAnnounce then TankadinAD_ADSave:Show() else TankadinAD_ADSave:Hide() end end);
	editBox:SetScript("OnCursorChanged", function() Tankadin2_AD_Options.ADCDMessage = TankadinAD_ADSave:GetText() end);
	
	local button = CreateFrame("Button", "TankadinAD_TestADSave", mainFrame, "OptionsButtonTemplate");
	button:SetText(TANKADIN_OPTIONS_TESTME);
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -160);
	button:SetScript("OnClick", function() Tankadin_Message(Tankadin2_AD_Options.ADCDMessage) end);
	button:SetScript("OnShow", function() if Tankadin2_AD_Options.ADSaveAnnounce then TankadinAD_TestADSave:Show() else TankadinAD_TestADSave:Hide() end end);
	
	local button = CreateFrame("CheckButton", "TankadinAD_Announce", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -190);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_AD_ANNOUNCE);
	button:SetScript("OnClick", function() Tankadin2_AD_Options.announce = not Tankadin2_AD_Options.announce; if Tankadin2_AD_Options.announce then TankadinAD_DAStr:Show(); TankadinAD_TestDA:Show(); else TankadinAD_DAStr:Hide(); TankadinAD_TestDA:Hide(); end end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_AD_Options.announce) end);
	
	local editBox = CreateFrame("EditBox", "TankadinAD_DAStr", mainFrame, "InputBoxTemplate");
	editBox:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -210);
	editBox:SetWidth(300);
	editBox:SetHeight(20);
	editBox:SetAutoFocus(false);
	editBox:SetMaxLetters(130);
	editBox:SetScript("OnShow", function() TankadinAD_DAStr:SetText(Tankadin2_AD_Options.message); if Tankadin2_AD_Options.announce then TankadinAD_DAStr:Show() else TankadinAD_DAStr:Hide() end end);
	editBox:SetScript("OnCursorChanged", function() Tankadin2_AD_Options.message = TankadinAD_DAStr:GetText() end);
	
	local button = CreateFrame("Button", "TankadinAD_TestDA", mainFrame, "OptionsButtonTemplate");
	button:SetText(TANKADIN_OPTIONS_TESTME);
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -230);
	button:SetScript("OnClick", function() Tankadin_Message(Tankadin2_AD_Options.message) end);
	button:SetScript("OnShow", function() if Tankadin2_AD_Options.announce then TankadinAD_TestDA:Show() else TankadinAD_TestDA:Hide() end end);
	
	local fontString = mainFrame:CreateFontString(nil, "OVERLAY", "GameFontNormal");
	fontString:SetText(TANKADIN_OPTIONS_CHANNEL);
	fontString:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -256);
	
	local editBox = CreateFrame("EditBox", "TankadinAD_Channel", mainFrame, "InputBoxTemplate");
	editBox:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -271);
	editBox:SetWidth(200);
	editBox:SetHeight(20);
	editBox:SetAutoFocus(false);
	editBox:SetMaxLetters(100);
	editBox:SetScript("OnShow", function() TankadinAD_Channel:SetText(Tankadin2_AD_Options.channel) end);
	editBox:SetScript("OnCursorChanged", function() Tankadin2_AD_Options.channel = TankadinAD_Channel:GetText() end);
	
	local button = CreateFrame("Button", "TankadinAAD_AnnounceData", mainFrame, "OptionsButtonTemplate");
	button:SetText(TANKADIN_AD_ANNOUNCEDATA);
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 230, -271);
	button:SetWidth(150);
	button:SetScript("OnClick", function() Tankadin_ADEcho(); end);
	
	local button = CreateFrame("Button", "TankadinAD_Channel1", mainFrame, "OptionsButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -300);
	button:SetText("SAY");
	button:SetScript("OnClick", function() Tankadin2_AD_Options.channel = "SAY"; TankadinAD_Channel:SetText(Tankadin2_AD_Options.channel); end);
	
	local button = CreateFrame("Button", "TankadinAD_Channel2", mainFrame, "OptionsButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -320);
	button:SetText("YELL");
	button:SetScript("OnClick", function() Tankadin2_AD_Options.channel = "YELL"; TankadinAD_Channel:SetText(Tankadin2_AD_Options.channel); end);
	
	local button = CreateFrame("Button", "TankadinAD_Channel3", mainFrame, "OptionsButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 95, -300);
	button:SetText("PARTY");
	button:SetScript("OnClick", function() Tankadin2_AD_Options.channel = "PARTY"; TankadinAD_Channel:SetText(Tankadin2_AD_Options.channel); end);
	
	local button = CreateFrame("Button", "TankadinAD_Channel4", mainFrame, "OptionsButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 95, -320);
	button:SetText("RAID");
	button:SetScript("OnClick", function() Tankadin2_AD_Options.channel = "RAID"; TankadinAD_Channel:SetText(Tankadin2_AD_Options.channel); end);
	
	local button = CreateFrame("Button", "TankadinAD_Channel5", mainFrame, "OptionsButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 185, -300);
	button:SetText("RW");
	button:SetScript("OnClick", function() Tankadin2_AD_Options.channel = "RAID_WARNING"; TankadinAD_Channel:SetText(Tankadin2_AD_Options.channel); end);
	
	local button = CreateFrame("Button", "TankadinAD_Channel6", mainFrame, "OptionsButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 185, -320);
	button:SetText("EMOTE");
	button:SetScript("OnClick", function() Tankadin2_AD_Options.channel = "EMOTE"; TankadinAD_Channel:SetText(Tankadin2_AD_Options.channel); end);
	
	mainFrame:Hide();
	
	mainFrame.name = "AD Plug-in";
	mainFrame.parent = "Tankadin2";
	InterfaceOptions_AddCategory(mainFrame);
end
Create_Tankadin_ADModTab()