﻿--[[
Tankadin2 AD Module Loc file

If you wish to help localize this mod, please change the values listed under the enUS variables and contact me.

Maintankadin.com _Chloe
ui.incgamers.com _Chloe
Chloe@tankadinaddon.com

]]--

--enUS variables / Default
TANKADIN_AD_OPTIONSLABEL         = "Ardent Defender Plug-in";
TANKADIN_AD_SUM                  = "Ardent Defender mitigated %d damage out of %d total taken (%.2f%%), and averted %d deaths.";
TANKADIN_AD_OPT_SHOW             = "Show the tracker window";
TANKADIN_AD_OPT_TOOLTIP          = "Show the tooltip when mousing over";
TANKADIN_AD_ANNOUNCE             = "Announce Death Averted:";
TANKADIN_AD                      = "Ardent Defender";
TANKADIN_ADABBR                  = "AD";
TANKADIN_AD_ANNOUNCEDATA         = "Announce Data";
TANKADIN_AD_SESSION              = "Session";
TANKADIN_AD_LASTFIGHT            = "Last Fight";
TANKADIN_AD_DM                   = "DM";
TANKADIN_AD_DM_LONG              = "Damage Mitigated";
TANKADIN_AD_DT                   = "DT";
TANKADIN_AD_DT_LONG              = "Damage Taken";
TANKADIN_AD_DA                   = "DA";
TANKADIN_AD_DA_LONG              = "Deaths Avoided";
TANKADIN_AD_PERCENT              = "Percent Reduced";
TANKADIN_AD_HP_ACTIVE            = "Ardent Defender is active at";
TANKADIN_AD_HP_ABBR              = "HP";
TANKADIN_AD_OPT_ANNSTATS         = "Announces AD tracker information";
TANKADIN_AD_DISABLED			 = "AD Plug-in Disabled!";
TANKADIN_AD_MODESWITCH			 = "Switch Tracking";
TANKADIN_AD_WIPEITLABEL			 = "Wipe";
TANKADIN_AD_WIPEENABLED          = "|cFFFF0000 !! WIPE CALLED !!|r -- AD Tracking Disabled until next combat.";
TANKADIN_AD_ADMESSAGETIMER       = "Time Remaining on Ardent Defender: ";
TANKADIN_AD_ADSAVEANNLABEL		 = "Announce Ardent Defender Heal/Save:";
TANKADIN_AD_ADBARENABLE			 = "Show AD Cooldown Bar";
TANKADIN_AD_DBMINTLABEL			 = "Enable Deadly Boss Mods Broadcasting";
TANKADIN_AD_ADDBMERROR			 = "Deadly Boss Mods Not Loaded :: Cannot Active Bar Display";
TANKADIN_AD_HEALAMOUNT			 = "Ardent Defender heals for %d "..TANKADIN_AD_HP_ABBR;

-- German
if ( GetLocale() == "deDE" ) then
TANKADIN_AD_OPTIONSLABEL         = "Unermüdlicher Verteidiger Plug-in";
TANKADIN_AD_SUM                  = "Unermüdlicher Verteidiger reduzierte den Schaden um %d von %d Gesamt erlittenem (%.2f%%), und wehrte %d Tode ab.";
TANKADIN_AD_OPT_SHOW             = "Zeige das Fenster des Trackers";
TANKADIN_AD_OPT_TOOLTIP          = "Zeige den Tooltip bei Mouseover";
TANKADIN_AD_ANNOUNCE             = "Sagt die abgewehrten Tode an:";
TANKADIN_AD                      = "Unermüdlicher Verteidiger";
TANKADIN_AD_ANNOUNCEDATA         = "Sagt die Daten an";
TANKADIN_AD_SESSION              = "Sitzung";
TANKADIN_AD_LASTFIGHT            = "Letzter Kampf";
TANKADIN_AD_DM                   = "DM";
TANKADIN_AD_DM_LONG              = "Schaden reduziert";
TANKADIN_AD_DT                   = "DT";
TANKADIN_AD_DT_LONG              = "Schaden erlitten";
TANKADIN_AD_DA                   = "DA";
TANKADIN_AD_DA_LONG              = "Tode abgewehrt";
TANKADIN_AD_PERCENT              = "Prozent reduziert";
TANKADIN_AD_HP_ACTIVE            = "Unermüdlicher Verteidiger wird aktiv bei";
TANKADIN_AD_HP_ABBR              = "Leben";
TANKADIN_AD_OPT_ANNSTATS         = "Sagt die UV Tracker Information an";
TANKADIN_AD_DISABLED          = "UV Plug-in deaktiviert";
end

-- English (Great Britain)
if ( GetLocale() == "enGB") then

end

-- Spanish
if ( GetLocale() == "esES") then

end

--Spanish (LA)
if ( GetLocale() == "esMX") then

end

-- French
if ( GetLocale() == "frFR") then

end 

-- Russian
if ( GetLocale() == "ruRU") then

end 

--Korean
if ( GetLocale() == "koKR") then

end

-- Simplified Chinese
if ( GetLocale() == "zhCN") then

end

--Traditional Chinese
if ( GetLocale() == "zhTW") then
TANKADIN_AD_OPTIONSLABEL         = "忠誠防衛者Plug-in";
TANKADIN_AD_SUM                  = "忠誠防衛者減免了 %d 的傷害 (總傷害%d %.2f%%),迴避了 %d 次死亡.";
TANKADIN_AD_OPT_SHOW             = "顯示追蹤窗口";
TANKADIN_AD_OPT_TOOLTIP          = "鼠標停留時顯示提示";
TANKADIN_AD_ANNOUNCE             = "迴避死亡時通告:";
TANKADIN_AD                      = "忠誠防衛者";
TANKADIN_AD_ANNOUNCEDATA         = "通告訊息";
TANKADIN_AD_SESSION              = "會話";
TANKADIN_AD_LASTFIGHT            = "上次戰鬥";
TANKADIN_AD_DM                   = "減傷";
TANKADIN_AD_DM_LONG              = "傷害減免";
TANKADIN_AD_DT                   = "傷害";
TANKADIN_AD_DT_LONG              = "承受傷害";
TANKADIN_AD_DA                   = "免死";
TANKADIN_AD_DA_LONG              = "迴避死亡";
TANKADIN_AD_PERCENT              = "減免百分比";
TANKADIN_AD_HP_ACTIVE            = "啟動臨界點";
TANKADIN_AD_HP_ABBR              = "HP";
TANKADIN_AD_OPT_ANNSTATS         = "通告忠誠防衛者訊息";
TANKADIN_AD_DISABLED			 = "停用AD Plug-in!";
end